Skip to main content

Update a corporate user

PATCH 

/v1/corporates/:id/users/:userId

Updates corporate user information including personal details and contact information

Request

Path Parameters

    id stringrequired

    Corporate ID

    userId stringrequired

    Corporate User ID

Body

required
    firstName string

    First name

    lastName string

    Last name

    email string

    Email

    phone string

    Phone

    username string

    User name

Responses

Corporate user updated successfully

Schema
    _id stringrequired

    The ID of the corporate user

    userId stringrequired

    The user ID of the corporate user

    firstName stringrequired

    The first name of the corporate user

    lastName string

    The last name of the corporate user

    username stringrequired

    The user name of the corporate user

    email stringrequired

    The email of the corporate user

    phone stringrequired

    The phone of the corporate user

    isActive booleanrequired

    Whether the corporate user is active

Loading...